%global debug_package %{nil}

Name:           auto-proto
Version:        0.2.0
Release:        1.dev5+e7dcb3f%{?dist}
Summary: A set of tools to build and run prototypes for automotive
License: MIT

URL: https://gitlab.com/CentOS/automotive/src/auto-proto
Source: auto_proto-%{version}.dev5+e7dcb3f.tar.gz

Requires: git
BuildRequires: git

Provides: autosd-demo = %{version}.dev5+e7dcb3f-%{release}
# Important: We set the Obsoletes release to 0.1.1 to be higher than the last build of autosd-demo
Obsoletes: autosd-demo < 0.1.1

%description
This package contains a set of tools to build and run prototypes for automotive

BuildArch: noarch

%prep
%autosetup -p1 -n auto_proto-%{version}.dev5+e7dcb3f

%generate_buildrequires
%pyproject_buildrequires -x tests

%build
%pyproject_wheel

%install
%pyproject_install

%check
export RPM_CHECK=1
%pytest

%files
%{_bindir}/auto-proto
%{_datadir}/auto-proto
%{python3_sitelib}/auto_proto/
%{python3_sitelib}/auto_proto-*.dist-info/
%license LICENSE

%changelog
* Fri Apr 06 2024 Roberto Majadas <rmajadas@redhat.com>
-
